# Capistrano::srvr

Utility tasks for Capistrano v3.*

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'capistrano', '~> 3.0.0'
gem 'capistrano-utils'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install capistrano-utils

## Usage

Require the module in your `Capfile`:

```ruby
require 'capistrano/utils'
```

From the command line:

```
$ cap production utils:uptime
$ cap production utils:list
$ cap production utils:launch[path/to/script]
```

or from any of your custom tasks:

```
task :my_custom_task do
  invoke "utils:launch[path/to/script]"
end
```

## Contributing

1. Fork it
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create new Pull Request
